Name: bigloo
Version: 2.6d
Release: alt1
License: GPL
Group: Development/Other
Summary: Bigloo is compiler for the Scheme programming language
Summary(ru_RU.KOI8-R): Bigloo --     Scheme

Source: ftp:/kaolin.unice.fr/pub/Bigloo/bigloo%version.tar.gz
Source1: bigloo-emacs.el

#BuildRequires: textutils bash texinfo emacs-common gcc
BuildRequires: coreutils bash texinfo emacs-common gcc2.95 j2se1.4-blackdown-devel java-common update-alternatives zip unzip mono-devel
Requires: j2se1.4-blackdown-devel java-common

%set_gcc_version 2.95
%set_verify_elf_method textrel=relaxed

%description
Bigloo is a compiler and interpreter for an extended version of the
Scheme programming language. Bigloo allows a full connection between
Scheme and C programs. It delivers fast and small executables.

%description -l ru_RU.KOI8-R
Bigloo       
  Scheme. Bigloo    
 C  Scheme.        .

%package -n emacs-bigloo
Summary: Emacs mode for Bigloo Scheme
Summary(ru_RU.KOI8-R):  Emacs  Bigloo Scheme
Group: Editors
Provides: emacs-bigloo

Requires: bigloo emacs-apel emacs-common

%description -n emacs-bigloo
Emacs mode for Bigloo Scheme. It also can be used for programming in C and Lisp.

%description -l ru_RU.KOI8-R -n emacs-bigloo
 Emacs    Bigloo Scheme,     
     Lisp

%prep
%setup -n bigloo%version

%build
export PATH=%_libdir/j2se/bin:$PATH
export JAVA_HOME=%_libdir/j2se
./configure --prefix=%prefix --bindir=%_bindir --libdir=%_libdir \
    --mandir=%_mandir/man1 --docdir=%_docdir/%name-%version \
    --infodir=%_infodir --lispdir=%_emacslispdir/bigloo \
    --coflags="%optflags" --javaprefix=%_libdir/j2se/bin --bee=full --mono
#--jvm=force
export LD_LIBRARY_PATH=`pwd`/lib/%version
make boot
cd bmacs
make all
cd ..

%install
make install DESTDIR=%buildroot
rm -f %buildroot%_infodir/dir
OLDWD=`pwd`

cd %buildroot%_bindir
ln -sf bigloo bigloo-%version
cd %buildroot%_libdir
for i in *.so ; do
  rm -f $i
  ln -s %name/%version/$i $i
done
cd $OLDWD

install -m 644 README* LICENSE ChangeLog %buildroot%_docdir/%name-%version
mkdir -p %buildroot%_docdir/%name-%version/tutorial/
install -pD -m 644 tutorial/*  %buildroot%_docdir/%name-%version/tutorial/

cd bmacs
make all EMACSDIR=%buildroot%_emacslispdir/bmacs
make install EMACSDIR=%buildroot%_emacslispdir/bmacs
cd ..

install -pD -m 644 %SOURCE1 %buildroot%_sysconfdir/emacs/site-start.d/bmacs.el

%post
%install_info bigloo.info
# install_info bdb.info.bz2

%preun
%uninstall_info bigloo.info
# uninstall_info bdb.info.bz2

%files
%doc %_docdir/%name-%version

%_bindir/*
%_libdir/*.so
%dir %_libdir/bigloo/
%dir %_libdir/bigloo/%version
%attr(0755,root,root) %_libdir/bigloo/%version/*
%_man1dir/*
%_infodir/*.info*

%files -n emacs-bigloo
%doc bmacs/README
%dir %_emacslispdir/bmacs/
%_emacslispdir/bmacs/*
%config(noreplace) /etc/emacs/site-start.d/*

%changelog
* Tue Apr 13 2004 Ott Alex <ott@altlinux.ru> 2.6d-alt1
- New version, some bugfixes

* Tue Mar 30 2004 Ott Alex <ott@altlinux.ru> 2.6c-alt1
- New version

* Wed Dec 17 2003 Ott Alex <ott@altlinux.ru> 2.6b-alt1
- New version 

* Sun Oct 05 2003 Ott Alex <ott@altlinux.ru> 2.6a-alt1
- New version 
- cleanup spec and fixing build in hasher 

* Sat Mar 22 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt4
- fixing java requires

* Sat Feb 22 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt3
- fixing spec

* Sat Jan 11 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt2
- New version

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 2.5a-alt1
- Initial build

